from . import sysfs
import subprocess


def test_mmc1():
    """Redpine module sits on sdio"""
    sysfs.check_content_in_glob('0x9116\n', '/sys/bus/sdio/devices/mmc*/device')


def test_wlan0():
    "Check if the wifi card got detected"
    out = subprocess.run(["iw", "wlan0", "info"])
    assert(out.returncode == 0)
